SDL_GetKeyName(3)

NAME
SDL_GetKeyName - Get a human-readable name for a key.

HEADER FILE
Defined in SDL3/SDL_keyboard.h

SYNOPSIS
#include "SDL3/SDL.h"

const char * SDL_GetKeyName(SDL_Keycode key);

DESCRIPTION
If the key doesn't have a name, this function returns an empty string ("").

Letters will be presented in their uppercase form, if applicable.

FUNCTION PARAMETERS

key the desired SDL_Keycode
     to query.

RETURN VALUE
Returns a UTF-8 encoded string of the key name.

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetKeyFromName(3), •(3), SDL_GetKeyFromScancode(3), •(3), SDL_GetScancodeFromKey(3)